Resolve a voice
POST
/v1/adapters/tts/voice/resolve
const url = 'https://example.com/v1/adapters/tts/voice/resolve';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"engine":"example","name":"example","language_code":"example","model":"example","gender":"example","format":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/adapters/tts/voice/resolve \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "engine": "example", "name": "example", "language_code": "example", "model": "example", "gender": "example", "format": "example" }'Resolves the active voice for the request, falling back to a compatible
voice when the requested one is unavailable. The fallback flag in the
response indicates whether a fallback was used.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
engine
required
string
name
required
string
language_code
required
string
model
string
gender
string
format
string
Examplegenerated
{ "engine": "example", "name": "example", "language_code": "example", "model": "example", "gender": "example", "format": "example"}Responses
Section titled “Responses”Resolved voice.
Media typeapplication/json
object
engine
required
string
name
required
string
model
required
string
language_code
required
string
gender
required
string
fallback
required
boolean
Examplegenerated
{ "engine": "example", "name": "example", "model": "example", "language_code": "example", "gender": "example", "fallback": true}Error response.
Media typeapplication/json
object
code
required
string
reason
required
string
message
required
string
Examplegenerated
{ "code": "example", "reason": "example", "message": "example"}Unauthorized
Forbidden
Error response.
Media typeapplication/json
object
code
required
string
reason
required
string
message
required
string
Examplegenerated
{ "code": "example", "reason": "example", "message": "example"}Bad gateway (upstream adapter error)
Error response.
Media typeapplication/json
object
code
required
string
reason
required
string
message
required
string
Examplegenerated
{ "code": "example", "reason": "example", "message": "example"}